package com.cool.bang.modules.system.domain.po;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.emuns.StatusType;

import java.util.List;

/**
 * system dictionary table
 *
 * @author PeiZhi Guo
 * 2021-05-13 14:26
 */
public class Dict extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private String  name; //字典名称

    private String  type; //字典类型

    private Integer enable; //字典状态 0:禁用  1:启用

    private List<DictItem> dictItems; //字典子项

    @Override
    public void insertConfigure() {
        this.enable = StatusType.ENABLE.ordinal();
        super.insertConfigure();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public List<DictItem> getDictItems() {
        return dictItems;
    }

    public void setDictItems(List<DictItem> dictItems) {
        this.dictItems = dictItems;
    }
}
